org.apache.cassandra.utils.btree

## Class BTreeSearchIterator<CK,K extends CK,V>

- java.lang.Object
- - org.apache.cassandra.utils.btree.Path
  - - org.apache.cassandra.utils.btree.BTreeSearchIterator<CK,K,V>

All Implemented Interfaces:
  SearchIterator<K,V>

    public class BTreeSearchIterator<CK,K extends CK,V>
    extends Path
    implements SearchIterator<K,V>

### Constructor Summary

Constructors
Constructor and Description
`BTreeSearchIterator(java.lang.Object[] btree, java.util.Comparator<CK> comparator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`V` `next(K target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BTreeSearchIterator

    public BTreeSearchIterator(java.lang.Object[] btree,
                               java.util.Comparator<CK> comparator)

### Method Detail

#### next

    public V next(K target)

Specified by:
  `next` in interface `SearchIterator<K extends CK,V>`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `SearchIterator<K extends CK,V>`